Subject: Re: bug#71448: 30.0.50; list-packages and eww fail to download from internet

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Jun 2024 12:18:23 +0300

> Date: Sun, 09 Jun 2024 08:06:49 +0000
> From: Gerard Vermeulen <[email-masked]>
> 
> Hello,
> 
> I see in my message buffer after list-packages:
> 
> Importing package-keyring.gpg...done
> error in process sentinel: Error retrieving: 
> https://elpa.nongnu.org/nongnu/archive-contents "incomprehensible 
> buffer" [2 times]
> error in process sentinel: Error retrieving: 
> https://elpa.gnu.org/devel/archive-contents "incomprehensible buffer" [2 
> times]
> error in process sentinel: Error retrieving: 
> https://melpa.org/packages/archive-contents "incomprehensible buffer" [2 
> times]
> error in process sentinel: Error retrieving: 
> https://stable.melpa.org/packages/archive-contents "incomprehensible 
> buffer" [2 times]
> Package refresh done
> error in process sentinel: Error retrieving: 
> https://elpa.gnu.org/packages/archive-contents "incomprehensible buffer" 
> [2 times]
> 
> and after for example M-x eww https://www.masteringemacs.org:
> 
> You can run the command ‘eww’ with G
> Contacting host: www.masteringemacs.org:443
> 
> and eww remains stuck (it does not download the content).
> 
> And after M-x debbugs-gnu, the message buffer says:
> 
> soap-invoke-internal: No HTTP response from server
> 
> I suspect this issue may be due to a commit after e2527dd9fd3,
> because I cannot repair it by trying to revert commit e2527dd9fd3.

Please update from Git and try again, I've just installed a fix that
could be relevant.